apiVersion: instancetype.kubevirt.io/v1beta1
kind: VirtualMachineClusterPreference
metadata:
  annotations:
    iconClass: icon-rhel
    kubevirt.io/generation: "3"
    kubevirt.io/install-strategy-identifier: 5dc642dcafc20b388aac8893d36db44393e586b9
    kubevirt.io/install-strategy-registry: ""
    kubevirt.io/install-strategy-version: sha256:031a34ff7b451f8588ed2960c576d6a835a749de7c168e88eaec45d180be6a21
    openshift.io/display-name: Red Hat Enterprise Linux 9 (s390x)
    openshift.io/documentation-url: https://access.redhat.com
    openshift.io/provider-display-name: Red Hat
    openshift.io/support-url: https://access.redhat.com
    tags: hidden,kubevirt,linux,rhel
  creationTimestamp: "2025-10-29T11:55:05Z"
  generation: 1
  labels:
    app.kubernetes.io/component: compute
    app.kubernetes.io/managed-by: virt-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.12
    instancetype.kubevirt.io/arch: s390x
    instancetype.kubevirt.io/common-instancetypes-version: 1.3.1-41-ga46e70a1
    instancetype.kubevirt.io/os-type: linux
    instancetype.kubevirt.io/vendor: redhat.com
  name: rhel.9.s390x
  resourceVersion: "2234618"
  uid: 3b03b8b1-0103-48b8-9db5-196829a35986
spec:
  annotations:
    vm.kubevirt.io/os: linux
  devices:
    preferredDiskBus: virtio
    preferredDiskDedicatedIoThread: true
    preferredInterfaceModel: virtio
    preferredRng: {}
  requirements:
    cpu:
      guest: 1
    memory:
      guest: 1536Mi
